apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: hello-flask-hpa
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: hello-flask
  minReplicas: 1
  maxReplicas: 3
  targetCPUUtilizationPercentage: 50